Bug 1153954 - [GSS] (6.4.0) JBWS-3842 - InjectionException: Value already set for this injector
Summary: [GSS] (6.4.0) JBWS-3842 - InjectionException: Value already set for this inje...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR10
: EAP 6.4.0
Assignee: Alessio Soldano
QA Contact: Rostislav Svoboda
URL:
Whiteboard:
Depends On:
Blocks: 1153972 1157607
TreeView+ depends on / blocked
 
Reported: 2014-10-17 08:00 UTC by Rostislav Svoboda
Modified: 2019-08-02 07:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1157607 (view as bug list)
Environment:
Last Closed: 2019-08-02 07:30:45 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBWS-3842 0 Major Closed InjectionException: Value already set for this injector 2015-04-25 20:26:37 UTC

Description Rostislav Svoboda 2014-10-17 08:00:13 UTC
jbossws-spi metadata immutability changes introduced a regressions when having multiple handlers in the same handler-chain within one of the pre-defined configuration in the webservices subsystem.

This happens during the boot.

Details in https://issues.jboss.org/browse/JBWS-3842 and https://source.jboss.org/changelog/JBossWS?cs=18995as

Fix needs to be incorporated into https://github.com/jbossas/jboss-eap/blob/6.x/webservices/server-integration/src/main/java/org/jboss/as/webservices/dmr/HandlerChainAdd.java when upgrading the stack.

Comment 1 Rostislav Svoboda 2014-10-17 08:01:01 UTC
FishEye link is https://source.jboss.org/changelog/JBossWS?cs=18995

Comment 2 Kabir Khan 2014-11-10 18:32:41 UTC
See component upgrade https://bugzilla.redhat.com/show_bug.cgi?id=1153972#c2 for explanation of why the upgrade was reverted and this BZ is set back to ASSIGNED

Comment 3 Jan Blizňák 2014-11-20 10:47:03 UTC
Verified on 6.4.0.DR10

Comment 4 JBoss JIRA Server 2015-04-25 20:26:45 UTC
Alessio Soldano <asoldano@redhat.com> updated the status of jira JBWS-3842 to Closed


Note You need to log in before you can comment on or make changes to this bug.